## com.baidubce.services.bmr.model
Class ApplicationConfig

    java.lang.Object
      com.baidubce.services.bmr.model.ApplicationConfig

Direct Known Subclasses:
  HBaseApplicationConfig, HiveApplicationConfig, HueApplicationConfig, PigApplicationConfig

    public class ApplicationConfig

extends Object

Represent configuration for an Application instance.

Constructor Summary
`ApplicationConfig()`

Method Summary
`void` `addProperty(String key, Object value)`
`String` `getName()`
`Map<String,Object>` `getProperties()`
`String` `getVersion()`
`void` `setName(String name)`
`void` `setProperties(Map<String,Object> properties)`
`void` `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationConfig

    public ApplicationConfig()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getProperties

    public Map<String,Object> getProperties()

### setProperties

    public void setProperties(Map<String,Object> properties)

### addProperty

    public void addProperty(String key,
                            Object value)

Copyright © 2016. All rights reserved.